Remove all folders from specified threads
POST
/openapi/folderthreads/removefoldersfromthreads
const url = 'https://open-api.replyco.com/openapi/folderthreads/removefoldersfromthreads';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '[ "7e9a1b3c-5d2f-4e6a-8b0c-1d2e3f4a5b6c", "4a6c8e0b-2d4f-4a1c-9e3b-5d7f9a1c3e5b" ]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://open-api.replyco.com/openapi/folderthreads/removefoldersfromthreads \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '[ "7e9a1b3c-5d2f-4e6a-8b0c-1d2e3f4a5b6c", "4a6c8e0b-2d4f-4a1c-9e3b-5d7f9a1c3e5b" ]'Removes all folder (label) associations from the specified threads. This unlabels the threads.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Array of thread IDs to remove all folders from
Array<string>
Example
[ "7e9a1b3c-5d2f-4e6a-8b0c-1d2e3f4a5b6c", "4a6c8e0b-2d4f-4a1c-9e3b-5d7f9a1c3e5b"]Array<string>
Example generated
[ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]Array<string>
Example generated
[ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]Array<string>
Example generated
[ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]Responses
Section titled “Responses”Folders were removed successfully
Invalid thread IDs
User is not authenticated